Skip to main content
GET
/
api
/
v1
/
contracts
/
{id}
curl -X GET "https://commodityai.app/api/v1/contracts/123e4567-e89b-12d3-a456-426614174000" \
  -H "Authorization: Bearer cai_live_your_api_key_here"
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "contract_number": "P0001",
  "external_reference": "ERP-PO-10024",
  "type": "purchase",
  "status": "active",
  "counterparty_id": "223e4567-e89b-12d3-a456-426614174001",
  "product": "Soybeans",
  "quantity": "50000",
  "pending_field_edits": []
}

Documentation Index

Fetch the complete documentation index at: https://docs.commodityai.io/llms.txt

Use this file to discover all available pages before exploring further.

Returns a single contract, including detail fields and pending field edits when applicable.

Path Parameters

id
string
required
Contract UUID.

Request Example

curl -X GET "https://commodityai.app/api/v1/contracts/123e4567-e89b-12d3-a456-426614174000" \
  -H "Authorization: Bearer cai_live_your_api_key_here"

Response

{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "contract_number": "P0001",
  "external_reference": "ERP-PO-10024",
  "type": "purchase",
  "status": "active",
  "counterparty_id": "223e4567-e89b-12d3-a456-426614174001",
  "product": "Soybeans",
  "quantity": "50000",
  "pending_field_edits": []
}